Bug 1281601 - [abrt] gnome-boxes: strlen(): gnome-boxes killed by SIGSEGV
[abrt] gnome-boxes: strlen(): gnome-boxes killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-boxes (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christophe Fergeau
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:7c006b05ee9476dab1ad102f777...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-12 16:38 EST by Mikhail
Modified: 2016-12-20 10:45 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:45:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (55.13 KB, text/plain)
2015-11-12 16:38 EST, Mikhail
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-12 16:38 EST, Mikhail
no flags Details
File: core_backtrace (6.93 KB, text/plain)
2015-11-12 16:38 EST, Mikhail
no flags Details
File: dso_list (18.80 KB, text/plain)
2015-11-12 16:38 EST, Mikhail
no flags Details
File: environ (3.58 KB, text/plain)
2015-11-12 16:38 EST, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-12 16:38 EST, Mikhail
no flags Details
File: maps (92.33 KB, text/plain)
2015-11-12 16:38 EST, Mikhail
no flags Details
File: mountinfo (3.77 KB, text/plain)
2015-11-12 16:38 EST, Mikhail
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-12 16:38 EST, Mikhail
no flags Details
File: open_fds (1.96 KB, text/plain)
2015-11-12 16:38 EST, Mikhail
no flags Details
File: proc_pid_status (1018 bytes, text/plain)
2015-11-12 16:38 EST, Mikhail
no flags Details
File: var_log_messages (320 bytes, text/plain)
2015-11-12 16:38 EST, Mikhail
no flags Details
screencast (10.30 MB, application/ogg)
2015-11-12 16:40 EST, Mikhail
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 761202 None None None 2016-01-27 13:17 EST

  None (edit)
Description Mikhail 2015-11-12 16:38:13 EST
Description of problem:
gnome-boxes crashed when i open several times vnc connection

Version-Release number of selected component:
gnome-boxes-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gnome-boxes
crash_function: strlen
executable:     /usr/bin/gnome-boxes
global_pid:     3736
kernel:         4.2.6-300.fc23.x86_64+debug
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 g_strdup at gstrfuncs.c:362
 #2 boxes_box_config_sync_property_copy at /home/zeenix/checkout/gnome/gnome-boxes/src/box-config.vala:4
 #3 __lambda4_ at /home/zeenix/checkout/gnome/gnome-boxes/src/box-config.vala:151
 #4 ___lambda4__g_object_notify at /home/zeenix/checkout/gnome/gnome-boxes/src/box-config.vala:150
 #10 g_object_notify_by_spec_internal at gobject.c:1154
 #11 g_object_notify_by_pspec at gobject.c:1264
 #12 gtk_widget_hide at gtkwidget.c:4829
 #13 gtk_widget_dispose at gtkwidget.c:12001
 #15 _g_closure_invoke_va at gclosure.c:864
Comment 1 Mikhail 2015-11-12 16:38:22 EST
Created attachment 1093455 [details]
File: backtrace
Comment 2 Mikhail 2015-11-12 16:38:24 EST
Created attachment 1093456 [details]
File: cgroup
Comment 3 Mikhail 2015-11-12 16:38:25 EST
Created attachment 1093457 [details]
File: core_backtrace
Comment 4 Mikhail 2015-11-12 16:38:28 EST
Created attachment 1093458 [details]
File: dso_list
Comment 5 Mikhail 2015-11-12 16:38:30 EST
Created attachment 1093459 [details]
File: environ
Comment 6 Mikhail 2015-11-12 16:38:31 EST
Created attachment 1093460 [details]
File: limits
Comment 7 Mikhail 2015-11-12 16:38:34 EST
Created attachment 1093461 [details]
File: maps
Comment 8 Mikhail 2015-11-12 16:38:36 EST
Created attachment 1093462 [details]
File: mountinfo
Comment 9 Mikhail 2015-11-12 16:38:38 EST
Created attachment 1093463 [details]
File: namespaces
Comment 10 Mikhail 2015-11-12 16:38:40 EST
Created attachment 1093464 [details]
File: open_fds
Comment 11 Mikhail 2015-11-12 16:38:42 EST
Created attachment 1093465 [details]
File: proc_pid_status
Comment 12 Mikhail 2015-11-12 16:38:43 EST
Created attachment 1093466 [details]
File: var_log_messages
Comment 13 Mikhail 2015-11-12 16:40 EST
Created attachment 1093467 [details]
screencast
Comment 14 Michael Catanzaro 2016-01-27 13:15:47 EST
Another user experienced a similar problem:

Boxes crashes 100% when pressing the Back button (in the upper-left) when on a VNC connection.

When I reopen Boxes, the connection gets stuck with a thumbnail displayed in the box overview, instead of displaying as Off like it should.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-boxes --gapplication-service
crash_function: strlen
executable:     /usr/bin/gnome-boxes
journald_cursor: s=f4e3d31c2cd74765bfef86f28866eb2f;i=2cda2;b=64d65b1b533b4f11b1c3a8ef056702f8;m=1e833fb36;t=52a5403400ec3;x=dcf0d0bce890e448
kernel:         4.3.3-300.fc23.x86_64
package:        gnome-boxes-3.18.1-1.fc23
reason:         gnome-boxes killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Mitsutoshi Kiuchi 2016-03-12 03:13:23 EST
Similar problem has been detected:

try to close vnc connection

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-boxes --gapplication-service
crash_function: strlen
executable:     /usr/bin/gnome-boxes
global_pid:     3544
kernel:         4.4.3-300.fc23.x86_64
package:        gnome-boxes-3.18.1-1.fc23
reason:         gnome-boxes killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Mitsutoshi Kiuchi 2016-03-26 22:36:39 EDT
Similar problem has been detected:

just after close vnc connection, box is terminated.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-boxes --gapplication-service
crash_function: strlen
executable:     /usr/bin/gnome-boxes
global_pid:     2297
kernel:         4.4.6-300.fc23.x86_64
package:        gnome-boxes-3.18.1-1.fc23
reason:         gnome-boxes killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 Fedora End Of Life 2016-11-24 08:21:27 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2016-12-20 10:45:03 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.